play.db.evolutions

## Enum EvolutionState

- java.lang.Object
- - java.lang.Enum<EvolutionState>
  - - play.db.evolutions.EvolutionState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EvolutionState>

      public enum EvolutionState
      extends java.lang.Enum<EvolutionState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPLIED`
    `APPLYING_DOWN`
    `APPLYING_UP`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getStateWord()`
    `static EvolutionState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EvolutionState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### APPLIED

          public static final EvolutionState APPLIED

    - #### APPLYING_UP

          public static final EvolutionState APPLYING_UP

    - #### APPLYING_DOWN

          public static final EvolutionState APPLYING_DOWN

  - ### Method Detail

    - #### values

          public static EvolutionState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EvolutionState c : EvolutionState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EvolutionState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getStateWord

          public java.lang.String getStateWord()

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly